#include<iostream>
#include<string>
#include<cstdio>
using namespace std;

int main()
{
    freopen("logins.in", "r", stdin);
    freopen("logins.out", "w", stdout);
    string s;
    cin >> s;
    if ((int)s.size() > 2 && s[0] == 'i' && s[1] == 'o')
    {
        bool is_good = true;
        for (int i = 2; i < (int)s.size(); i++)
            if (s[i] < '0' || s[i] > '9')
                is_good = false;
        if (is_good)
            cout << "Correct\n";
        else
            cout << "Incorrect\n";
    }
    else
        cout << "Incorrect\n";
    return 0;
}